macroScript vSaver category:"vSaver"
(
	/*
	Title: vSaver
	Description: Project manager script for 3ds max
	Author: Michal Kondraciuk, k.michal@zoho.com
	Copyright (C) 2014 Michal Kondraciuk

		This program is free software: you can redistribute it and/or modify
		it under the terms of the GNU General Public License as published by
		the Free Software Foundation, either version 3 of the License, or
		(at your option) any later version.

		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.

		You should have received a copy of the GNU General Public License
		along with this program.  If not, see <http://www.gnu.org/licenses/>.
	*/
	
	v_usDir = getdir #userscripts
	v_neededFiles = #("\vSaver\vSaver_main.mse","\vSaver\vSaver_functions.mse", \
					"\vSaver\vSaver_structs.mse")
					
	v_allFilesExist = true
	for i in v_neededFiles do
	(
		if not doesFileExist (v_usDir+i) do v_allFilesExist = false; exit
	)
	
	if v_allFilesExist then
	(
		filein ((getdir #userScripts)+"\vSaver\vSaver_main.mse")
	)
	else messagebox "vSaver files could not be found." title:"vSaver error" beep:true

	
)